summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-11-09 02:42:22 +0000
committer Eric Hameleers <alien@slackware.com>2018-11-09 08:59:43 +0100
commit0e6f7049d6a514115df0164db47fbd8763cf5148 (patch)
tree0805050a25bba0fe7e12fbe2acfe18ac846e7d3c /source
parentfa6118f0a78c511877bf875a9b8f119e1a46eb6f (diff)
downloadcurrent-0e6f7049d6a514115df0164db47fbd8763cf5148.tar.gz
current-0e6f7049d6a514115df0164db47fbd8763cf5148.tar.xz
Fri Nov 9 02:42:22 UTC 201820181109024222
a/efibootmgr-16-x86_64-2.txz: Rebuilt. Reverted to previous version. We'd tried this before and it still doesn't work. Thanks to _RDS_. a/efivar-35-x86_64-1.txz: Upgraded. Reverted to previous version. We'd tried this before and it still doesn't work. Thanks to _RDS_. a/hwdata-0.317-noarch-1.txz: Upgraded. a/lvm2-2.03.01-x86_64-1.txz: Upgraded. a/quota-4.04-x86_64-1.txz: Upgraded. ap/cups-2.2.9-x86_64-1.txz: Upgraded. ap/sysstat-12.0.2-x86_64-1.txz: Upgraded. d/cscope-15.9-x86_64-1.txz: Upgraded. d/distcc-3.3.2-x86_64-1.txz: Upgraded. d/nasm-2.14-x86_64-1.txz: Upgraded. d/oprofile-1.3.0-x86_64-1.txz: Upgraded. d/rust-1.30.1-x86_64-1.txz: Upgraded. l/elfutils-0.174-x86_64-1.txz: Upgraded. l/shared-mime-info-1.10-x86_64-1.txz: Upgraded. n/samba-4.9.2-x86_64-1.txz: Upgraded. xap/gimp-2.10.8-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild2
-rwxr-xr-xsource/a/hwdata/hwdata.SlackBuild6
-rwxr-xr-xsource/a/quota/quota.SlackBuild10
-rw-r--r--source/a/quota/quota.lwrap.needs.lnsl.diff16
-rw-r--r--source/ap/cups/455c52a027ab3548953372a0b7bdb0008420e9ba.patch61
-rwxr-xr-xsource/ap/cups/cups.SlackBuild5
-rw-r--r--source/ap/cups/cups.url2
-rw-r--r--source/ap/sysstat/sysstat.url2
-rwxr-xr-xsource/d/cscope/cscope.SlackBuild8
-rw-r--r--source/d/cscope/slack-desc2
-rwxr-xr-xsource/d/distcc/distcc.SlackBuild6
-rw-r--r--source/d/nasm/0001-Remove-invalid-pure_func-qualifiers.patch27
-rwxr-xr-xsource/d/nasm/nasm.SlackBuild13
-rwxr-xr-xsource/d/oprofile/oprofile.SlackBuild2
-rwxr-xr-xsource/d/rust/rust.SlackBuild2
-rw-r--r--source/d/rust/rust.url2
-rwxr-xr-xsource/l/shared-mime-info/shared-mime-info.SlackBuild2
-rw-r--r--source/n/samba/samba.url4
18 files changed, 43 insertions, 129 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index e91b25fd9..9671a6e21 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=efibootmgr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/hwdata/hwdata.SlackBuild b/source/a/hwdata/hwdata.SlackBuild
index f0559ab13..1c00ec5c2 100755
--- a/source/a/hwdata/hwdata.SlackBuild
+++ b/source/a/hwdata/hwdata.SlackBuild
@@ -26,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=hwdata
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -69,7 +69,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/a/quota/quota.SlackBuild b/source/a/quota/quota.SlackBuild
index 6c47e141b..ad67fc30d 100755
--- a/source/a/quota/quota.SlackBuild
+++ b/source/a/quota/quota.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=quota
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,8 +81,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
zcat $CWD/quota.lwrap.needs.lnsl.diff.gz | patch -p1 --verbose || exit 1
@@ -104,7 +104,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
diff --git a/source/a/quota/quota.lwrap.needs.lnsl.diff b/source/a/quota/quota.lwrap.needs.lnsl.diff
index eaaecf286..26792bd1b 100644
--- a/source/a/quota/quota.lwrap.needs.lnsl.diff
+++ b/source/a/quota/quota.lwrap.needs.lnsl.diff
@@ -1,11 +1,11 @@
---- ./configure.ac.orig 2015-12-18 08:00:34.000000000 -0600
-+++ ./configure.ac 2015-12-27 18:44:30.768289611 -0600
-@@ -167,7 +167,7 @@
- ])
- ])
- AS_IF([test "x$build_libwrap" != "xno"], [
+--- ./configure.ac.orig 2018-11-08 15:30:51.834366741 -0600
++++ ./configure.ac 2018-11-08 15:31:25.275363974 -0600
+@@ -170,7 +170,7 @@
+ AS_IF([test "x$enable_libwrap" != "xno"], [
+ AC_CHECK_HEADER([tcpd.h], [
+ build_libwrap="yes"
- WRAP_LIBS="-lwrap"
-+ WRAP_LIBS="-lwrap -lnsl"
++ WRAP_LIBS="-lwrap -lnsl"
AC_DEFINE([HOSTS_ACCESS], 1, [Use hosts.allow and hosts.deny for access checking of rpc.rquotad])
COMPILE_OPTS="$COMPILE_OPTS HOSTS_ACCESS"
- ])
+ ], [
diff --git a/source/ap/cups/455c52a027ab3548953372a0b7bdb0008420e9ba.patch b/source/ap/cups/455c52a027ab3548953372a0b7bdb0008420e9ba.patch
deleted file mode 100644
index 7f60ed254..000000000
--- a/source/ap/cups/455c52a027ab3548953372a0b7bdb0008420e9ba.patch
+++ /dev/null
@@ -1,61 +0,0 @@
-From 455c52a027ab3548953372a0b7bdb0008420e9ba Mon Sep 17 00:00:00 2001
-From: "Jan Alexander Steffens (heftig)" <jan.steffens@gmail.com>
-Date: Fri, 8 Jun 2018 22:29:50 +0200
-Subject: [PATCH] Fix validation rejecting all NAME and TEXT attrs
-
-When the UTF-8 validation loop finishes successfully, `*ptr` points at
-the `'\0'` at the end of the string. The code misinterpreted this as a
-control character (`*ptr < ' '`) and failed the validation.
-
-Fixes https://github.com/apple/cups/issues/5325
----
- cups/ipp.c | 24 ++++++++++--------------
- 1 file changed, 10 insertions(+), 14 deletions(-)
-
-diff --git a/cups/ipp.c b/cups/ipp.c
-index 95d53cc44..204c71fcd 100644
---- a/cups/ipp.c
-+++ b/cups/ipp.c
-@@ -5030,15 +5030,13 @@ ippValidateAttribute(
- else if (*ptr & 0x80)
- break;
- else if ((*ptr < ' ' && *ptr != '\n' && *ptr != '\r' && *ptr != '\t') || *ptr == 0x7f)
-- break;
-+ {
-+ ipp_set_error(IPP_STATUS_ERROR_BAD_REQUEST, _("\"%s\": Bad text value \"%s\" - bad control character (PWG 5100.14 section 8.3)."), attr->name, attr->values[i].string.text);
-+ return (0);
-+ }
- }
-
-- if (*ptr < ' ' || *ptr == 0x7f)
-- {
-- ipp_set_error(IPP_STATUS_ERROR_BAD_REQUEST, _("\"%s\": Bad text value \"%s\" - bad control character (PWG 5100.14 section 8.3)."), attr->name, attr->values[i].string.text);
-- return (0);
-- }
-- else if (*ptr)
-+ if (*ptr)
- {
- ipp_set_error(IPP_STATUS_ERROR_BAD_REQUEST, _("\"%s\": Bad text value \"%s\" - bad UTF-8 sequence (RFC 8011 section 5.1.2)."), attr->name, attr->values[i].string.text);
- return (0);
-@@ -5088,15 +5086,13 @@ ippValidateAttribute(
- else if (*ptr & 0x80)
- break;
- else if (*ptr < ' ' || *ptr == 0x7f)
-- break;
-+ {
-+ ipp_set_error(IPP_STATUS_ERROR_BAD_REQUEST, _("\"%s\": Bad name value \"%s\" - bad control character (PWG 5100.14 section 8.1)."), attr->name, attr->values[i].string.text);
-+ return (0);
-+ }
- }
-
-- if (*ptr < ' ' || *ptr == 0x7f)
-- {
-- ipp_set_error(IPP_STATUS_ERROR_BAD_REQUEST, _("\"%s\": Bad name value \"%s\" - bad control character (PWG 5100.14 section 8.1)."), attr->name, attr->values[i].string.text);
-- return (0);
-- }
-- else if (*ptr)
-+ if (*ptr)
- {
- ipp_set_error(IPP_STATUS_ERROR_BAD_REQUEST, _("\"%s\": Bad name value \"%s\" - bad UTF-8 sequence (RFC 8011 section 5.1.3)."), attr->name, attr->values[i].string.text);
- return (0);
-
diff --git a/source/ap/cups/cups.SlackBuild b/source/ap/cups/cups.SlackBuild
index 1cc92b54b..4f9444c66 100755
--- a/source/ap/cups/cups.SlackBuild
+++ b/source/ap/cups/cups.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cups
VERSION=${VERSION:-$(echo $PKGNAM-*-source.tar.?z | cut -f 2 -d -)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,9 +81,6 @@ cd cups-$VERSION || exit 1
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure
-# Upstream patch to fix high CPU usage:
-zcat $CWD/455c52a027ab3548953372a0b7bdb0008420e9ba.patch.gz | patch -p1 --verbose || exit 1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/ap/cups/cups.url b/source/ap/cups/cups.url
index 1b693d7e0..8dbffaf03 100644
--- a/source/ap/cups/cups.url
+++ b/source/ap/cups/cups.url
@@ -1 +1 @@
-https://github.com/apple/cups/releases/download/v2.2.8/cups-2.2.8-source.tar.gz
+https://github.com/apple/cups
diff --git a/source/ap/sysstat/sysstat.url b/source/ap/sysstat/sysstat.url
index 0b57f29e9..cd8c37f3f 100644
--- a/source/ap/sysstat/sysstat.url
+++ b/source/ap/sysstat/sysstat.url
@@ -1 +1 @@
-http://perso.orange.fr/sebastien.godard/sysstat-11.6.6.tar.xz
+http://perso.orange.fr/sebastien.godard
diff --git a/source/d/cscope/cscope.SlackBuild b/source/d/cscope/cscope.SlackBuild
index 4ebf2c36a..1f4ea40fb 100755
--- a/source/d/cscope/cscope.SlackBuild
+++ b/source/d/cscope/cscope.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cscope
-VERSION=${VERSION:-$(echo $(basename $(echo $PKGNAM-*.tar.xz | cut -f 2 -d -) .tar.xz) | cut -f 2 -d -)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,7 +74,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-$VERSION
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
chown -R root:root .
find . \
@@ -88,7 +88,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --build=${ARCH}-slackware-linux
+ --build=${ARCH}-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/d/cscope/slack-desc b/source/d/cscope/slack-desc
index 4521c5f7e..c5e78c6ea 100644
--- a/source/d/cscope/slack-desc
+++ b/source/d/cscope/slack-desc
@@ -12,7 +12,7 @@ cscope: Cscope is a text screen based source browsing tool. Although it is
cscope: primarily designed to search C code (including lex and yacc files),
cscope: it can also be used for C++ code.
cscope:
-cscope: For more information, see http://cscope.sourceforge.net.
+cscope: Homepage: http://cscope.sourceforge.net
cscope:
cscope:
cscope:
diff --git a/source/d/distcc/distcc.SlackBuild b/source/d/distcc/distcc.SlackBuild
index 24f68aa26..9ba5e1c63 100755
--- a/source/d/distcc/distcc.SlackBuild
+++ b/source/d/distcc/distcc.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=distcc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +85,10 @@ if [ ! "$LIBDIRSUFFIX" = "" ]; then
fi
sed -i "s|usr/lib/gcc|usr/lib${LIBDIRSUFFIX}/gcc|g" update-distcc-symlinks.py
+if [ ! -r configure ]; then
+ ./autogen.sh
+fi
+
./configure \
--prefix=/usr \
--datadir=/usr/share \
diff --git a/source/d/nasm/0001-Remove-invalid-pure_func-qualifiers.patch b/source/d/nasm/0001-Remove-invalid-pure_func-qualifiers.patch
deleted file mode 100644
index 87ec601c2..000000000
--- a/source/d/nasm/0001-Remove-invalid-pure_func-qualifiers.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-From d0dabb46a821b2506681f882af0d5696d2c2bade Mon Sep 17 00:00:00 2001
-From: Michael Simacek <msimacek@redhat.com>
-Date: Thu, 8 Feb 2018 14:47:08 +0100
-Subject: [PATCH] Remove invalid pure_func qualifiers
-
----
- include/nasmlib.h | 4 ++--
- 1 file changed, 2 insertions(+), 2 deletions(-)
-
-diff --git a/include/nasmlib.h b/include/nasmlib.h
-index 79e866b..c93cef0 100644
---- a/include/nasmlib.h
-+++ b/include/nasmlib.h
-@@ -191,8 +191,8 @@ int64_t readstrnum(char *str, int length, bool *warn);
- * seg_init: Initialise the segment-number allocator.
- * seg_alloc: allocate a hitherto unused segment number.
- */
--void pure_func seg_init(void);
--int32_t pure_func seg_alloc(void);
-+void seg_init(void);
-+int32_t seg_alloc(void);
-
- /*
- * many output formats will be able to make use of this: a standard
---
-2.14.3
-
diff --git a/source/d/nasm/nasm.SlackBuild b/source/d/nasm/nasm.SlackBuild
index 458cabb8a..1e19f070f 100755
--- a/source/d/nasm/nasm.SlackBuild
+++ b/source/d/nasm/nasm.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=nasm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -44,6 +44,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
if [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
else
@@ -60,9 +62,6 @@ rm -rf nasm-$VERSION
tar xvf $CWD/nasm-$VERSION.tar.?z* || exit 1
cd nasm-$VERSION || exit 1
-# Fix FTBFS with gcc8:
-zcat $CWD/0001-Remove-invalid-pure_func-qualifiers.patch.gz | patch -p1 --verbose || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -76,13 +75,15 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--build=${ARCH}-slackware-linux || exit 1
-make || exit 1
+make $NUMJOBS || make || exit 1
+
( cd doc
make nasmdoc.txt || exit 1
mkdir -p $PKG/usr/doc/nasm-$VERSION
cp nasmdoc.txt $PKG/usr/doc/nasm-$VERSION
) || exit 1
-make install INSTALLROOT=$PKG || exit 1
+
+make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/d/oprofile/oprofile.SlackBuild b/source/d/oprofile/oprofile.SlackBuild
index 84f0240ac..fe1748729 100755
--- a/source/d/oprofile/oprofile.SlackBuild
+++ b/source/d/oprofile/oprofile.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=oprofile
VERSION=${VERSION:-$(echo oprofile-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index cfc085ddb..cfd55595d 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
-VERSION=${VERSION:-1.30.0}
+VERSION=${VERSION:-1.30.1}
BUILD=${BUILD:-1}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
diff --git a/source/d/rust/rust.url b/source/d/rust/rust.url
index c6e448fe9..0131e8130 100644
--- a/source/d/rust/rust.url
+++ b/source/d/rust/rust.url
@@ -1,5 +1,5 @@
# Source code (repacked to .tar.xz):
-lftpget https://static.rust-lang.org/dist/rustc-1.30.0-src.tar.gz
+lftpget https://static.rust-lang.org/dist/rustc-1.30.1-src.tar.gz
gzip -d rustc-*tar.gz
plzip -9 -v rustc-*tar
diff --git a/source/l/shared-mime-info/shared-mime-info.SlackBuild b/source/l/shared-mime-info/shared-mime-info.SlackBuild
index 9def91323..745cce86a 100755
--- a/source/l/shared-mime-info/shared-mime-info.SlackBuild
+++ b/source/l/shared-mime-info/shared-mime-info.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=shared-mime-info
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/n/samba/samba.url b/source/n/samba/samba.url
index 3576b531f..7e3058c84 100644
--- a/source/n/samba/samba.url
+++ b/source/n/samba/samba.url
@@ -1,2 +1,2 @@
-https://download.samba.org/pub/samba/stable/samba-4.9.1.tar.gz
-https://download.samba.org/pub/samba/stable/samba-4.9.1.tar.asc
+https://download.samba.org/pub/samba/stable/samba-4.9.2.tar.gz
+https://download.samba.org/pub/samba/stable/samba-4.9.2.tar.asc